Colored Mtext

Hi everyone,
I'm trying to process an architectural drawing where all the MTEXT are
plotting green.
The MTEXT objects are set to plot by layer, but inside the editor all the
text are set to green.
Is there a lisp routine that can fix this so that I don't have to do it one
by one. Thanks.
MagicJS
Reply to
MagicJS
Loading thread data ...
Try this and adapt as required.....
(defun c:grn2by (/ ss txt) (if (ssget "x" '((0 . "MTEXT"))) (progn (vl-load-com) (setq ss (vla-get-activeselectionset (vla-get-activedocument (vlax-get-acad-object) ) ) ) (vlax-for ent ss (setq txt (vla-get-textstring ent) txt (vl-string-subst "" "\\C3;" txt) ) (vla-put-textstring ent txt) ) ) ) (princ) )
Reply to
Jeff

PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.